4 Replies Latest reply on Jul 6, 2016 3:57 PM by Todd Schaal

    Getting error updating my RH patch catalog

    Todd Schaal

      I just started getting this error when running a patch catalog update:

       

      Error 06/28/2016 14:12:03 Error while updating feed: java.sql.SQLException: UNIQUE constraint failed: RPM.FILENAME Query: INSERT INTO RPM (NAME, RELEASE, VERSION, EPOCH, ARCHITECTURELABEL, DESCRIPTION, SUMMARY, SIZE, PAYLOADSIZE, MD5SUM, LICENSE, COOKIE, FILENAME, VENDOR, BUILDHOST, BUILDDATE, LASTMODIFIEDDATE, PAYLOADLOCATION, DOWNLOADURL, RPM_GROUP, PACKAGE_ID, IS_DELETED) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, 0) Parameters: [[device-mapper-libs, 5.el7_2.4, 1.02.107, 7, x86_64, This package contains the device-mapper shared library, libdevmapper., Device-mapper shared library, 312124, 412556, null, LGPLv2, null, device-mapper-libs-1.02.107-5.el7_2.4.x86_64.rpm, Red Hat, Inc., x86-019.build.eng.bos.redhat.com, 2016-06-09, 2016-06-10, null, https://cdn.redhat.com/content/dist/rhel/server/7/7Server/x86_64/os/Packages/device-mapper-libs-1.02.107-5.el7_2.4.x86_64.rpm, System Environment/Libraries, 9954eea3c1c344f5879242d9a7ac2ed892625ecf], [samba-winbind-clients, 6.2.el7_2, 4.2.10, 0, x86_64, The samba-winbind-clients package provides the wbinfo and ntlm_auth

      tool., Samba winbind clients, 122808, 131356, null, GPLv3+ and LGPLv3+, null, samba-winbind-clients-4.2.10-6.2.el7_2.x86_64.rpm, Red Hat, Inc., x86-034.build.eng.bos.redhat.com, 2016-06-01, 2016-06-01, null, https://cdn.redhat.com/content/dist/rhel/server/7/7Server/x86_64/os/Packages/samba-winbind-clients-4.2.10-6.2.el7_2.x86_64.rpm, Applications/System, 483f6fb8f2584dca2cdc7f38e0aa2cffaaf60fc4], [systemd-libs, 19.el7_2.11, 219, 0, i686, Libraries for systemd and udev, as well as the systemd PAM module., systemd libraries, 366444, 1062028, null, LGPLv2+ and MIT, null, systemd-libs-219-19.el7_2.11.i686.rpm, Red Hat, Inc., x86-020.build.eng.bos.redhat.com, 2016-05-26, 2016-06-08, null, https://cdn.redhat.com/content/dist/rhel/server/7/7Server/x86_64/os/Packages/systemd-libs-219-19.el7_2.11.i686.rpm, Unspecified, aef3ad051f16e5eb016c3fe2a4a51aa188ec5544], [pyldb, 1.el7_2, 1.1.25, 0, i686, Python bindings for the LDB library, Python bindings for the LDB library, 41580, 94908, null, LGPLv3+, null, pyldb-1.1.25-1.el7_2.i686.rpm, Red Hat, Inc., x86-020.build.eng.bos.redhat.com, 2016-04-01, 2016-04-08, null, https://cdn.redhat.com/content/dist/rhel/server/7/7Server/x86_64/os/Packages/pyldb-1.1.25-1.el7_2.i686.rpm, Development/Libraries, 1b6744743b0424b2cab378cf1b6b3d71ba59b31c], [kernel-firmware, 642.1.1.el6, 2.6.32, , noarch, Kernel-firmware includes firmware files required for some devices to

      operate., Firmware files used by the Linux kernel, 29424140, 59902556,

       

       

      ....

       

      and it goes on for several pages.